## org.eclipse.datatools.modelbase.sql.datatypes.provider
Class SQLDataTypesItemProviderAdapterFactory

    java.lang.Object
      AdapterFactoryImpl
          org.eclipse.datatools.modelbase.sql.datatypes.util.SQLDataTypesAdapterFactory
              org.eclipse.datatools.modelbase.sql.datatypes.provider.SQLDataTypesItemProviderAdapterFactory

    public class SQLDataTypesItemProviderAdapterFactory

extends SQLDataTypesAdapterFactory

This is the factory that is used to provide the interfaces needed to support Viewers. The adapters generated by this factory convert EMF adapter notifications into calls to `fireNotifyChanged`. The adapters also support Eclipse property sheets. Note that most of the adapters are shared among multiple instances.

Constructor Summary
`SQLDataTypesItemProviderAdapterFactory()` This constructs an instance.

Method Summary
`Adapter` `adapt(Notifier notifier, java.lang.Object type)` This implementation substitutes the factory itself as the key for the adapter.
`void` `addListener(INotifyChangedListener notifyChangedListener)` This adds a listener.
`Adapter` `createApproximateNumericDataTypeAdapter()` This creates an adapter for a `ApproximateNumericDataType`.
`Adapter` `createAttributeDefinitionAdapter()` This creates an adapter for a `AttributeDefinition`.
`Adapter` `createBinaryStringDataTypeAdapter()` This creates an adapter for a `BinaryStringDataType`.
`Adapter` `createBooleanDataTypeAdapter()` This creates an adapter for a `BooleanDataType`.
`Adapter` `createCharacterSetAdapter()` This creates an adapter for a `CharacterSet`.
`Adapter` `createCharacterStringDataTypeAdapter()` This creates an adapter for a `CharacterStringDataType`.
`Adapter` `createDataLinkDataTypeAdapter()` This creates an adapter for a `DataLinkDataType`.
`Adapter` `createDateDataTypeAdapter()` This creates an adapter for a `DateDataType`.
`Adapter` `createDistinctUserDefinedTypeAdapter()` This creates an adapter for a `DistinctUserDefinedType`.
`Adapter` `createDomainAdapter()` This creates an adapter for a `Domain`.
`Adapter` `createFieldAdapter()` This creates an adapter for a `Field`.
`Adapter` `createFixedPrecisionDataTypeAdapter()` This creates an adapter for a `FixedPrecisionDataType`.
`Adapter` `createIntegerDataTypeAdapter()` This creates an adapter for a `IntegerDataType`.
`Adapter` `createIntervalDataTypeAdapter()` This creates an adapter for a `IntervalDataType`.
`Adapter` `createRowDataTypeAdapter()` This creates an adapter for a `RowDataType`.
`Adapter` `createStructuredUserDefinedTypeAdapter()` This creates an adapter for a `StructuredUserDefinedType`.
`Adapter` `createTimeDataTypeAdapter()` This creates an adapter for a `TimeDataType`.
`Adapter` `createUserDefinedTypeOrderingAdapter()` This creates an adapter for a `UserDefinedTypeOrdering`.
`Adapter` `createXMLDataTypeAdapter()` This creates an adapter for a `XMLDataType`.
`void` `dispose()` This disposes all of the item providers created by this factory.
`void` `fireNotifyChanged(Notification notification)` This delegates to `changeNotifier` and to `parentAdapterFactory`.
`ComposeableAdapterFactory` `getRootAdapterFactory()` This returns the root adapter factory that contains this factory.
`boolean` `isFactoryForType(java.lang.Object type)`
`void` `removeListener(INotifyChangedListener notifyChangedListener)` This removes a listener.
`void` `setParentAdapterFactory(ComposedAdapterFactory parentAdapterFactory)` This sets the composed adapter factory that contains this factory.

Methods inherited from class org.eclipse.datatools.modelbase.sql.datatypes.util.SQLDataTypesAdapterFactory

`createAdapter, createArrayDataTypeAdapter, createCollectionDataTypeAdapter, createConstructedDataTypeAdapter, createDataTypeAdapter, createEModelElementAdapter, createENamedElementAdapter, createEObjectAdapter, createExactNumericDataTypeAdapter, createMultisetDataTypeAdapter, createNumericalDataTypeAdapter, createPredefinedDataTypeAdapter, createReferenceDataTypeAdapter, createSQLDataTypeAdapter, createSQLObjectAdapter, createTypedElementAdapter, createUserDefinedTypeAdapter`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLDataTypesItemProviderAdapterFactory

    public SQLDataTypesItemProviderAdapterFactory()

  This constructs an instance.

Method Detail

### createCharacterStringDataTypeAdapter

    public Adapter createCharacterStringDataTypeAdapter()

  This creates an adapter for a `CharacterStringDataType`.

  Overrides:
    `createCharacterStringDataTypeAdapter` in class `SQLDataTypesAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `CharacterStringDataType`

### createRowDataTypeAdapter

    public Adapter createRowDataTypeAdapter()

  This creates an adapter for a `RowDataType`.

  Overrides:
    `createRowDataTypeAdapter` in class `SQLDataTypesAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `RowDataType`

### createBooleanDataTypeAdapter

    public Adapter createBooleanDataTypeAdapter()

  This creates an adapter for a `BooleanDataType`.

  Overrides:
    `createBooleanDataTypeAdapter` in class `SQLDataTypesAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `BooleanDataType`

### createIntervalDataTypeAdapter

    public Adapter createIntervalDataTypeAdapter()

  This creates an adapter for a `IntervalDataType`.

  Overrides:
    `createIntervalDataTypeAdapter` in class `SQLDataTypesAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `IntervalDataType`

### createBinaryStringDataTypeAdapter

    public Adapter createBinaryStringDataTypeAdapter()

  This creates an adapter for a `BinaryStringDataType`.

  Overrides:
    `createBinaryStringDataTypeAdapter` in class `SQLDataTypesAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `BinaryStringDataType`

### createCharacterSetAdapter

    public Adapter createCharacterSetAdapter()

  This creates an adapter for a `CharacterSet`.

  Overrides:
    `createCharacterSetAdapter` in class `SQLDataTypesAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `CharacterSet`

### createTimeDataTypeAdapter

    public Adapter createTimeDataTypeAdapter()

  This creates an adapter for a `TimeDataType`.

  Overrides:
    `createTimeDataTypeAdapter` in class `SQLDataTypesAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `TimeDataType`

### createDistinctUserDefinedTypeAdapter

    public Adapter createDistinctUserDefinedTypeAdapter()

  This creates an adapter for a `DistinctUserDefinedType`.

  Overrides:
    `createDistinctUserDefinedTypeAdapter` in class `SQLDataTypesAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `DistinctUserDefinedType`

### createStructuredUserDefinedTypeAdapter

    public Adapter createStructuredUserDefinedTypeAdapter()

  This creates an adapter for a `StructuredUserDefinedType`.

  Overrides:
    `createStructuredUserDefinedTypeAdapter` in class `SQLDataTypesAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `StructuredUserDefinedType`

### createAttributeDefinitionAdapter

    public Adapter createAttributeDefinitionAdapter()

  This creates an adapter for a `AttributeDefinition`.

  Overrides:
    `createAttributeDefinitionAdapter` in class `SQLDataTypesAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `AttributeDefinition`

### createFixedPrecisionDataTypeAdapter

    public Adapter createFixedPrecisionDataTypeAdapter()

  This creates an adapter for a `FixedPrecisionDataType`.

  Overrides:
    `createFixedPrecisionDataTypeAdapter` in class `SQLDataTypesAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `FixedPrecisionDataType`

### createDomainAdapter

    public Adapter createDomainAdapter()

  This creates an adapter for a `Domain`.

  Overrides:
    `createDomainAdapter` in class `SQLDataTypesAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Domain`

### createFieldAdapter

    public Adapter createFieldAdapter()

  This creates an adapter for a `Field`.

  Overrides:
    `createFieldAdapter` in class `SQLDataTypesAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Field`

### createDataLinkDataTypeAdapter

    public Adapter createDataLinkDataTypeAdapter()

  This creates an adapter for a `DataLinkDataType`.

  Overrides:
    `createDataLinkDataTypeAdapter` in class `SQLDataTypesAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `DataLinkDataType`

### createUserDefinedTypeOrderingAdapter

    public Adapter createUserDefinedTypeOrderingAdapter()

  This creates an adapter for a `UserDefinedTypeOrdering`.

  Overrides:
    `createUserDefinedTypeOrderingAdapter` in class `SQLDataTypesAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `UserDefinedTypeOrdering`

### createDateDataTypeAdapter

    public Adapter createDateDataTypeAdapter()

  This creates an adapter for a `DateDataType`.

  Overrides:
    `createDateDataTypeAdapter` in class `SQLDataTypesAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `DateDataType`

### createApproximateNumericDataTypeAdapter

    public Adapter createApproximateNumericDataTypeAdapter()

  This creates an adapter for a `ApproximateNumericDataType`.

  Overrides:
    `createApproximateNumericDataTypeAdapter` in class `SQLDataTypesAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ApproximateNumericDataType`

### createIntegerDataTypeAdapter

    public Adapter createIntegerDataTypeAdapter()

  This creates an adapter for a `IntegerDataType`.

  Overrides:
    `createIntegerDataTypeAdapter` in class `SQLDataTypesAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `IntegerDataType`

### createXMLDataTypeAdapter

    public Adapter createXMLDataTypeAdapter()

  This creates an adapter for a `XMLDataType`.

  Overrides:
    `createXMLDataTypeAdapter` in class `SQLDataTypesAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `XMLDataType`

### getRootAdapterFactory

    public ComposeableAdapterFactory getRootAdapterFactory()

  This returns the root adapter factory that contains this factory.

### setParentAdapterFactory

    public void setParentAdapterFactory(ComposedAdapterFactory parentAdapterFactory)

  This sets the composed adapter factory that contains this factory.

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object type)

  Overrides:
    `isFactoryForType` in class `SQLDataTypesAdapterFactory`
  Returns:
    whether this factory is applicable for the type of the object.

### adapt

    public Adapter adapt(Notifier notifier,
                         java.lang.Object type)

  This implementation substitutes the factory itself as the key for the adapter.

### addListener

    public void addListener(INotifyChangedListener notifyChangedListener)

  This adds a listener.

### removeListener

    public void removeListener(INotifyChangedListener notifyChangedListener)

  This removes a listener.

### fireNotifyChanged

    public void fireNotifyChanged(Notification notification)

  This delegates to `changeNotifier` and to `parentAdapterFactory`.

### dispose

    public void dispose()

  This disposes all of the item providers created by this factory.

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.